function [A,B] = gradient(Im)
%bvGradient Calcule le champ de veceteur gradient de l'image entre.
%	bvGradient(Im) 'Im' est une image en niveau de gris, format 'double'.
%
%	[A,B] = bvGradient(Im) 'A' et 'B' sont des champs de gradients
%	verticaux et horizontaux.
%
%	See also bvDivergence.

% bvToolbox  Copyright (C) 2013  PIERRE Fabien (read license.txt)
% Auteur 	: Fabien PIERRE.
% Version	: 1.1
% Date      : 30 mai 2013.
%

[A,B] = bvGradient_mex(double(Im));

end
