function [v] = inpainting_chambolleFB( g , N, sigma,iterations_gradient,mask)
% function [v]=inpainting_chambolleFB( g , N, sigma,iterations_gradient,mask)

% bvToolbox  Copyright (C) 2013  PIERRE Fabien (read license.txt)
% Auteur 	: Fabien PIERRE.
% Version	: 1.1
% Date      : 30 mai 2013.
%

lambda=sigma/4;
v=zeros(size(g));

for itt=1:N
    v=g.*mask+(1-mask).*v;%v+mask.*(g-v)
    v=bvProximalOperator(v,iterations_gradient,lambda);
end

end
