function u = convolutionProximalOperator( ope, tilde_u, g, tau_lambda )
% Operateur pour la convolution avec l'operateur ope (pass en frquence).

% bvToolbox  Copyright (C) 2013  PIERRE Fabien (read license.txt)
% Auteur 	: Fabien PIERRE.
% Version	: 1.1
% Date      : 30 mai 2013.
%

tau_l=tau_lambda(1);

F_ope= ope;%fft2(ope, size(g,1), size(g,2));

u= real(ifft2(...
    (tau_l * fft2(g).* conj(F_ope) + fft2(tilde_u))...
    ./ (tau_l * abs(F_ope).^2 +1)...
    ));

end

